# Interface UnderlyingSink<W>

interface UnderlyingSink<W> {
abort?: UnderlyingSinkAbortCallback;
close?: UnderlyingSinkCloseCallback;
start?: UnderlyingSinkStartCallback;
type?: undefined;
write?: UnderlyingSinkWriteCallback<W>;
}

#### Type Parameters

- W = any

- Defined in node_modules/@types/node/stream/web.d.ts:135

#####
Index

### Properties

abort?
close?
start?
type?
write?

## Properties

### `Optional` abort

abort?: UnderlyingSinkAbortCallback

- Defined in node_modules/@types/node/stream/web.d.ts:136

### `Optional` close

close?: UnderlyingSinkCloseCallback

- Defined in node_modules/@types/node/stream/web.d.ts:137

### `Optional` start

start?: UnderlyingSinkStartCallback

- Defined in node_modules/@types/node/stream/web.d.ts:138

### `Optional` type

type?: undefined

- Defined in node_modules/@types/node/stream/web.d.ts:139

### `Optional` write

write?: UnderlyingSinkWriteCallback<W>

- Defined in node_modules/@types/node/stream/web.d.ts:140